<?php

namespace webfleet;

require_once("exception.php");
require_once("action.php");

/**
 * common base interface of the connector.
 */
interface Connector
{
    /**
     * Executes the given action and returns its result.
     * In case of an error, a \webfleet\WebfleetException is thrown.
     * @param \webfleet\Action $action the action to execute.
     * @return an array of generic objects containing the result
     * (use "print_r" to print their properties) or TRUE
     * if the action executed successfully without response.
     */
    public function execute(\webfleet\Action $action);
}

?>