<?php

require_once("connector.php");
require_once("authparams.php");
require_once("generalparams.php");

define('WF_PROTO_CSV',"csv");

/**
 * base class of the WEBFLEET.connect API
 */
class Webfleet
{
    /**
     * Constructs a new connection to WEBFLEET.connect.
     * @param string $proto the protocol to use.
     * Currently only "csv" is supported.
     * @param string $url URL to the server.
     * @param \webfleet\AuthParams $auth authentication parameters.
     * @param \webfleet\GeneralParams $general general parameters.
     * @return the connector object.
     */
    public static function connect($proto="csv",$url, \webfleet\AuthParams $auth, \webfleet\GeneralParams $general = null)
    {
        require_once("proto/".$proto."/"."connector.php");
        $class = "\\webfleet\\proto\\".$proto."\\Connector";
        return new $class($url,$auth,$general);
    }
}

?>